# Flutter Ui Kit

A collection of reusable mobile screens & widgets.

## 🧑‍💻 Setup

Run the `install.sh` script in `.scripts` directory

## 🎖️ Design Credit

**Oscar Sun**
(https://www.oscarsun.design)

## 📸 Banner

<p align="center">
<img src="art/banner/banner.png" alt="splash.png" hspace="2"/>
</p>

<br />

## 📸 ScreenShots

<p align="center">
<img src="art/screenshots/root.png" alt="page 11" width="200px" hspace="2"/>

| Page 1                                              | Page 2                                              | Page 3                                              | Page 4                                              |
| --------------------------------------------------- | --------------------------------------------------- | --------------------------------------------------- | --------------------------------------------------- |
| <img src="art/screenshots/page_1.png" width="200"/> | <img src="art/screenshots/page_2.png" width="200"/> | <img src="art/screenshots/page_3.png" width="200"/> | <img src="art/screenshots/page_4.png" width="200"/> |

| Page 5                                              | Page 6                                              | Page 7                                              | Page 8                                              |
| --------------------------------------------------- | --------------------------------------------------- | --------------------------------------------------- | --------------------------------------------------- |
| <img src="art/screenshots/page_5.png" width="200"/> | <img src="art/screenshots/page_6.png" width="200"/> | <img src="art/screenshots/page_7.png" width="200"/> | <img src="art/screenshots/page_8.png" width="200"/> |

| Page 9                                              | Page 10                                              | Page 11                                              | Page 12                                              |
| --------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_8.png" width="200"/> | <img src="art/screenshots/page_10.png" width="200"/> | <img src="art/screenshots/page_11.png" width="200"/> | <img src="art/screenshots/page_12.png" width="200"/> |

| Page 13                                              | Page 14                                              | Page 15                                              | Page 16                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_13.png" width="200"/> | <img src="art/screenshots/page_14.png" width="200"/> | <img src="art/screenshots/page_15.png" width="200"/> | <img src="art/screenshots/page_16.png" width="200"/> |

| Page 17                                              | Page 18                                              | Page 19                                              | Page 20                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_17.png" width="200"/> | <img src="art/screenshots/page_18.png" width="200"/> | <img src="art/screenshots/page_19.png" width="200"/> | <img src="art/screenshots/page_20.png" width="200"/> |

| Page 21                                              | Page 22                                              | Page 23                                              | Page 24                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_21.png" width="200"/> | <img src="art/screenshots/page_22.png" width="200"/> | <img src="art/screenshots/page_23.png" width="200"/> | <img src="art/screenshots/page_24.png" width="200"/> |

| Page 25                                              | Page 26                                              | Page 27                                              | Page 28                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_25.png" width="200"/> | <img src="art/screenshots/page_26.png" width="200"/> | <img src="art/screenshots/page_27.png" width="200"/> | <img src="art/screenshots/page_28.png" width="200"/> |

| Page 29                                              | Page 30                                              | Page 31                                              | Page 32                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_29.png" width="200"/> | <img src="art/screenshots/page_30.png" width="200"/> | <img src="art/screenshots/page_31.png" width="200"/> | <img src="art/screenshots/page_32.png" width="200"/> |

| Page 33                                              | Page 34                                              | Page 35                                              | Page 36                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_33.png" width="200"/> | <img src="art/screenshots/page_34.png" width="200"/> | <img src="art/screenshots/page_35.png" width="200"/> | <img src="art/screenshots/page_36.png" width="200"/> |

| Page 37                                              | Page 38                                              | Page 39                                              | Page 40                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_37.png" width="200"/> | <img src="art/screenshots/page_38.png" width="200"/> | <img src="art/screenshots/page_39.png" width="200"/> | <img src="art/screenshots/page_40.png" width="200"/> |

| Page 41                                              | Page 42                                              | Page 43                                              | Page 44                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_41.png" width="200"/> | <img src="art/screenshots/page_42.png" width="200"/> | <img src="art/screenshots/page_43.png" width="200"/> | <img src="art/screenshots/page_44.png" width="200"/> |

| Page 45                                              | Page 46                                              | Page 47                                              | Page 48                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_45.png" width="200"/> | <img src="art/screenshots/page_46.png" width="200"/> | <img src="art/screenshots/page_47.png" width="200"/> | <img src="art/screenshots/page_48.png" width="200"/> |

| Page 49                                              | Page 50                                              | Page 51                                              | Page 52                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_49.png" width="200"/> | <img src="art/screenshots/page_50.png" width="200"/> | <img src="art/screenshots/page_51.png" width="200"/> | <img src="art/screenshots/page_52.png" width="200"/> |

| Page 53                                              | Page 54                                              | Page 55                                              | Page 56                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_53.png" width="200"/> | <img src="art/screenshots/page_54.png" width="200"/> | <img src="art/screenshots/page_55.png" width="200"/> | <img src="art/screenshots/page_56.png" width="200"/> |

| Page 57                                              | Page 58                                              | Page 59                                              | Page 60                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_57.png" width="200"/> | <img src="art/screenshots/page_58.png" width="200"/> | <img src="art/screenshots/page_59.png" width="200"/> | <img src="art/screenshots/page_60.png" width="200"/> |

| Page 61                                              | Page 62                                              | Page 63                                              | Page 64                                               |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ----------------------------------------------------- |
| <img src="art/screenshots/page_61.png" width="200"/> | <img src="art/screenshots/page_62.png" width="200"/> | <img src="art/screenshots/page_63.png" width="200"/> | <img src="art/screenshots/page_64.jpeg" width="200"/> |

| Page 65                                              | Page 66                                              | Page 67                                              | Page 68                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_65.png" width="200"/> | <img src="art/screenshots/page_66.png" width="200"/> | <img src="art/screenshots/page_67.png" width="200"/> | <img src="art/screenshots/page_68.png" width="200"/> |

| Page 69                                              | Page 70                                              | Page 71                                              | Page 72                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_69.png" width="200"/> | <img src="art/screenshots/page_70.png" width="200"/> | <img src="art/screenshots/page_71.png" width="200"/> | <img src="art/screenshots/page_72.png" width="200"/> |

| Page 73                                              | Page 74                                              | Page 75                                              | Page 76                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_73.png" width="200"/> | <img src="art/screenshots/page_74.png" width="200"/> | <img src="art/screenshots/page_75.png" width="200"/> | <img src="art/screenshots/page_76.png" width="200"/> |

| Page 77                                              | Page 78                                              | Page 79                                              | Page 80                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_77.png" width="200"/> | <img src="art/screenshots/page_78.png" width="200"/> | <img src="art/screenshots/page_79.png" width="200"/> | <img src="art/screenshots/page_80.png" width="200"/> |

| Page 81                                              | Page 82                                              | Page 83                                              | Page 84                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_81.png" width="200"/> | <img src="art/screenshots/page_82.png" width="200"/> | <img src="art/screenshots/page_83.png" width="200"/> | <img src="art/screenshots/page_84.png" width="200"/> |

| Page 85                                              | Page 86                                              | Page 87                                              | Page 88                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_85.png" width="200"/> | <img src="art/screenshots/page_86.png" width="200"/> | <img src="art/screenshots/page_87.png" width="200"/> | <img src="art/screenshots/page_88.png" width="200"/> |

| Page 89                                              | Page 90                                              | Page 91                                               | Page 92                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ----------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_89.png" width="200"/> | <img src="art/screenshots/page_90.png" width="200"/> | <img src="art/screenshots/page_91.jpeg" width="200"/> | <img src="art/screenshots/page_92.png" width="200"/> |

| Page 93                                              | Page 94                                              | Page 95                                              | Page 96                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- |
| <img src="art/screenshots/page_93.png" width="200"/> | <img src="art/screenshots/page_94.png" width="200"/> | <img src="art/screenshots/page_95.png" width="200"/> | <img src="art/screenshots/page_96.png" width="200"/> |

| Page 97                                              | Page 98                                              | Page 99                                              | Page 100                                              |
| ---------------------------------------------------- | ---------------------------------------------------- | ---------------------------------------------------- | ----------------------------------------------------- |
| <img src="art/screenshots/page_97.png" width="200"/> | <img src="art/screenshots/page_98.png" width="200"/> | <img src="art/screenshots/page_99.png" width="200"/> | <img src="art/screenshots/page_100.png" width="200"/> |

| Page 101                                              | Page 102                                              | Page 103                                              | Page 104 |
| ----------------------------------------------------- | ----------------------------------------------------- | ----------------------------------------------------- | -------- |
| <img src="art/screenshots/page_101.png" width="200"/> | <img src="art/screenshots/page_102.png" width="200"/> | <img src="art/screenshots/page_103.png" width="200"/> |  <img src="art/screenshots/page104.png" width="200"/>        |
| Page 105                                              | Page 106                                              | Page 107                                              | Page 108 |
| ----------------------------------------------------- | ----------------------------------------------------- | ----------------------------------------------------- | -------- |
| <img src="art/screenshots/page105.png" width="200"/> |                                                       |                                                       |          |
